Installation - commentaires Installation 2017-08-08T04:00:09Z https://cmath.xyz/spip.php?article129#comment2242 2017-08-08T04:00:09Z <p>Après tentative d'installation sur Open Office et non plus LibreOffice sur mac, cette fois pas de plantage mais message indiquant "cette extension ne peut être installée sur cet ordinateur".<br class="autobr" /> jlb</p> Installation 2017-08-04T07:47:14Z https://cmath.xyz/spip.php?article129#comment2241 2017-08-04T07:47:14Z <p>Cmathooocas ne fonctionne plus avec la nouvelle version de libreoffice 5.4.<br class="autobr" /> Après supression de l'extension puis tentative de réinstallation sur mac, l'ordinateur plante totalement. Seule solution un arrêt par extinction brutale.<br class="autobr" /> Jean louis Bounhoure</p> Installation 2017-01-08T12:55:54Z https://cmath.xyz/spip.php?article129#comment2240 2017-01-08T12:55:54Z <p>Ok merci, cela m'intéresse, je suis aussi sous Mint. Je le mettrai à disposition.<br class="autobr" /> J'ai prévu prochainement de recompiler mon addon avec la dernière version de XCAS en mode statique : il n'y aura donc plus de dépendances, comme la version windows.</p> Installation 2017-01-08T08:40:26Z https://cmath.xyz/spip.php?article129#comment2239 2017-01-08T08:40:26Z <p>pour l'installation sous linux, les paquets indiqués sont obselètes. <br class="autobr" /> Il faut chercher les paquets sur le site <a href="http://packages.ubuntu.com/fr/" class="spip_url spip_out auto" rel="nofollow external">http://packages.ubuntu.com/fr/</a><br class="autobr" /> si vous etes sur ubuntu ou versions dérivée (Linux mint pour ma part). <br class="autobr" /> Pour Linux Mint 17.3 (sur 64 bits), basé sur ubuntu trusty, j'ai un dossier avec les paquets à installer. <br class="autobr" /> Je les propose à l'auteur de Cmath.<br class="autobr" /> Bonne journée</p> Installation 2016-04-23T21:12:46Z https://cmath.xyz/spip.php?article129#comment2227 2016-04-23T21:12:46Z <p>Après être allé dans le bon dossier via la console en mode administrateur, j'obtiens, après tri, les librairies manquantes :</p> <p> libstlport_gcc.so => not found<br class="autobr" /> libreglo.so => not found<br class="autobr" /> libunoidllo.so => not found<br class="autobr" /> libxmlreaderlo.so => not found<br class="autobr" /> libmpfr.so.1 => not found<br class="autobr" /> libntl-5.4.2.so => not found<br class="autobr" /> libpari-gmp.so.2 => not found<br class="autobr" /> libfltk_images.so.1.1 => not found<br class="autobr" /> libfltk.so.1.1 => not found<br class="autobr" /> libfltk_gl.so.1.1 => not found</p> <p>ça fait beaucoup ; où trouver ces fichiers ?<br class="autobr" /> Merci pour votre aide.</p> <p>JP</p> Installation 2016-04-23T20:10:56Z https://cmath.xyz/spip.php?article129#comment2226 2016-04-23T20:10:56Z <p>Je vais essayer la méthode proposée par TV, à suivre ...</p> Installation 2016-04-23T20:09:14Z https://cmath.xyz/spip.php?article129#comment2225 2016-04-23T20:09:14Z <p>Bonjour à tous.</p> <p>Je suis sous Linux mint et j'utilise la version 5 de libreoffice.<br class="autobr" /> J'ai essayé d'installer l'extension proposée, mais sans succès hélas pour le moment.<br class="autobr" /> (j'ai aussi quelques soucis avec CmathOOo qui plante de manière inopinée, ce qui me chagrine.)<br class="autobr" /> Quand j'essaie d'activer l'extension dans le gestionnaire d'extension, j'obtiens le message :</p> <p>loading component library //home/jpapot/.config/libreoffice/4/user/uno_packages/cache/uno_packag­es/lu2545byh4xk.tmp_/CmathOOoCAS.oxt/Linux_x86/CmathOOoCAS.uno.so> failed</p> <p>J'ai également essayé d'installer les librairies comme proposé :</p> <p> sudo apt-get install libgmp3c2 libmpfr1ldbl libntl-5.4.2 libpari2-gmp libfltk1.1 libjpeg62 libpng12-0 libreadline</p> <p>J'obtiens la réponse suivante de la console :</p> <p> E : Impossible de trouver le paquet libgmp3c2<br class="autobr" /> E : Impossible de trouver le paquet libmpfr1ldbl<br class="autobr" /> E : Impossible de trouver le paquet libntl-5.4.2<br class="autobr" /> E : Impossible de trouver de paquet correspondant à l'expression rationnelle « libntl-5.4.2 »<br class="autobr" /> E : Impossible de trouver le paquet libpari2-gmp</p> <p>Je ne sais pas où est le problème.<br class="autobr" /> Pouvez-vous m'aider ? - Grosse frustration quand je vois ce que ce programme est capable de faire ! Les extensions sont-elles mieux supportées par openoffice ?</p> <p>Merci M. Devalland pour ce beau travail d'adaptation de xcas !</p> <p>JPP (un prof de math)</p> Installation 2016-04-23T03:11:58Z https://cmath.xyz/spip.php?article129#comment2224 2016-04-23T03:11:58Z <p>Cmathoocas sous Windows 10 et libre office 5.1<br class="autobr" /> A l'installation, j'obtiens<br class="autobr" /> Program :/program files (x86)/libre office 5/program/uno. exe<br class="autobr" /> R6034<br class="autobr" /> An application has made an attempt to load the C runtime library incorrectly</p> <p>Autre question : sur android, dans libre office cmath s'installe et fonctionne, mais impossible d'installer cmathooocas.</p> <p>Sur mac et osx pas de problème.</p> Installation 2015-10-28T18:00:22Z https://cmath.xyz/spip.php?article129#comment2218 2015-10-28T18:00:22Z <p>Bonjour,</p> <p>A-t-on des nouvelles d'une mise à jour de CMathsOOoCAS qui s'installe sur LibreOffice ?<br class="autobr" /> Les liens proposés plus haut dans le forum avec des modifications le permettant ne semblent plus disponibles...</p> <p>Cordialement,<br class="autobr" /> Vincent S.</p> Installation 2015-02-25T04:24:39Z https://cmath.xyz/spip.php?article129#comment1949 2015-02-25T04:24:39Z <p>Hi Dear, are you in fact visiting this website on a regular basis, if so after that you will without doubt obtain good know-how.</p> Installation LO 4.1.3.2 sous LinuxMint 16. Ca marche mais ... 2014-02-27T13:03:53Z https://cmath.xyz/spip.php?article129#comment1923 2014-02-27T13:03:53Z <p>Bonjour,</p> <p>J'ai bricolé.</p> <p>Je suis allé chercher les paquets sur mon EEPC 900 avec Ubuntu 10.04.</p> <p>Il y en avait un dans /opt/libreOff..4.1./ure/lib ! J'ai LO 4.1 aussi sur EEEpc.</p> <p>Copié sur la clef USB :</p> <p>Terminal en administrateur : sudo cp ...</p> <p>Copié dans /usr/lib de l'autre ordinateur.</p> <p>J'ai installé CmathOOoCas sans problème.</p> <p>Thierry Vedel</p> Installation LO 4.1.3.2 sous LinuxMint 16. Je bloque. 2014-02-27T09:35:49Z https://cmath.xyz/spip.php?article129#comment1922 2014-02-27T09:35:49Z <p>Bonjour,</p> <p>Comme d'habitude erreur à l'installation.</p> <p>Je télécharge des paquets, je fais des liens symbolique :</p> <p>sudo ln -s /usr/lib/i386-linux-gnu/libmpfr.so.4 /usr/lib/i386-linux-gnu/libmpfr.so.1</p> <p>Plus étonnant, je trouve des librairies dans /usr/lib/ure/lib.</p> <p>Je copie dans /usr/lib/, je ne sais pas si c'est la bonne méthode mais ça marche.</p> <p>libntl-5.4.2.so => not found J'ai installé le paquet libntl0 version 5.5.2-2</p> <p>Je me retrouve avec deux fichiers :</p> <p>libntl.so.0</p> <p>libntl.so.0.1.0</p> <p>Dois-je faire le lien sur le premier ou le deuxième ?</p> <p>Par contre pour ces deux là j'ai rien trouvé :</p> <p>libstlport_gcc.so => not found</p> <p>libpari-gmp.so.2 => not found</p> <p>Aucun paquet à télécharger ressemblant à ça.</p> <p>Peut-être me manque-t-il des dépôts ?</p> <p>Je vais essayer de vérifier en comparant avec Ubuntu 10.04 mais c'est pas joué.</p> <p>Merci de vos réponses.</p> <p>Thierry Vedel</p> Installation sous libre office 4.1.2.3 ubuntu 13.10 2014-02-05T12:30:52Z https://cmath.xyz/spip.php?article129#comment1915 2014-02-05T12:30:52Z <p>Bonjour Antoin43,</p> <p>Je viens d'envoyer un nouveau post :</p> <p>cdeval.free.fr/spip.php ?page=voirsujet&id_forum=1909</p> <p>Installation réussie LO 4.1 sous Xubuntu 12.04.</p> <p>Sais-tu ce qu'est la console (ou le terminal) ?<br class="autobr" /> Si oui, sais-tu y accéder ?</p> <p>Sais-tu ce qu'est Synaptic ?<br class="autobr" /> Si oui, sais-tu y accéder ?</p> <p>Sous U 13.10, c'est pas évident d'accéder à la console et Synaptic n'est pas installé.<br class="autobr" /> Je suis resté avec mon ordi à U 10.04 pour ces raisons, on cache tout et je n'arrive pas à accéder aux logiciels.<br class="autobr" /> Là je suis sur un vieil ordi de récupération et j'ai installé Xubuntu pour avoir un vrai menu où je peux accéder à tous les programmes sans me casser la tête.</p> <p>Je peux t'aider pour l'installation si tu en as envie.<br class="autobr" /> Mais avant, il faut que tu saches accéder à la console et à Synaptic.<br class="autobr" /> Sur le forum Ubuntu tu auras tous les renseignements nécessaires.</p> <p>Librement<br class="autobr" /> Thierry Vedel</p> Installation réussie LO 4.1 et Xubuntu 12.04 2014-02-04T20:26:14Z https://cmath.xyz/spip.php?article129#comment1910 2014-02-04T20:26:14Z <p>Merci Thierry pour ce tutoriel plus détaillé que le mien.<br class="manualbr" />Quand j'aurai le temps, je recompilerai une version statique de ma librairie ce qui évitera les problèmes de dépendances.</p> Installation réussie LO 4.1 et Xubuntu 12.04 2014-02-04T14:18:23Z https://cmath.xyz/spip.php?article129#comment1909 2014-02-04T14:18:23Z <p>Bonjour,</p> <p>Je donne les détails de l'installation car c'est pas toujours évident. Selon la version de Linux, il faudra sûrement faire quelques changement car les paquets changent de numéro selon les versions.</p> <p>Comme d'habitude, message d'erreur quand on installe CmathOOoCas sur des versions récentes de LO ou OOo.<br class="autobr" /> Le message d'erreur donne le chemin du fichier CmathOOoCAS.uno.so.<br class="autobr" /> Je fais une capture d'écran (c'est ma méthode, car j'ai la mémoire courte) et la sauve.</p> <p>Là, il n'y a pas de choix, il faut utiliser la console (le terminal), le truc où on écrit les instructions.<br class="autobr" /> Je vais dans le dossier contenant CmathOOoCAS.uno.so à l'aide de la commande cd (Change Directory)</p> <p>Exemple :<br class="autobr" /> cd /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luwt5lhf.tmp_/CmathOOoCAS.oxt/Linux_x86</p> <p>On peut faire aussi :<br class="autobr" /> cd config<br class="autobr" /> puis<br class="autobr" /> cd libreoffice<br class="autobr" /> etc ...</p> <p>Ceci est un exemple, il faut bien recopier le chemin donné par le messge d'erreur.<br class="autobr" /> A chaque tentative d'installation le nom du fichier tmp_ ( /luwt5lhf.tmp_ dans cet exemple) va changer.</p> <p>Une fois dans le bon dossier, celui contenant CmathOOoCAS.uno.so ( on peut vérifier en tapant la commande ls -a ) on tape la commande :</p> <p>ldd CmathOOoCAS.uno.so et une liste apparaît de la forme :<br class="autobr" /> nom du programme => chemin</p> <p>Là il faut trouver les noms des programmes où le chemin est remplacé par "not foud"<br class="autobr" /> On peut faire un copier-coller dans LO ou OOo puis une recherche (tellement plus facile) mais attention, dans la console copier est différent c'est Ctrl+Maj+c comme collé Ctrl+Maj+v.</p> <p>Une fois repéré ces noms de programmes, il faut les installer les paquets contenant ces programmes.</p> <p>Exemple (bidon ) :<br class="autobr" /> libmpfr1.so => not found<br class="autobr" /> Ce programme est manquant, je dois installer un paquet dont le nom commence par libmpfr.</p> <p>Je vais dans Synaptic ou autre installeur, je fais une recherche.<br class="autobr" /> Moi, j'ai trouvé : libmpfr4.<br class="autobr" /> Je l'ai installé et fait un lien s'ymbolique.</p> <p><strong>Cas de LO 4.1 sous Xubuntu 12.04.</strong></p> <p>Les paquets libmpfr1.dbl et libpari2-gmp ne sont pas dans les dépôts, il faut installer des paquets plus récents puis faire un lien symbolique.</p> <p>J'ai fait une recherche dans Synaptic et trouvé libmpfr4 et libpari-gmp3 que j'ai installé.</p> <p>J'ai recherché l'emplacement de ces bibliothèques (option fichiers cachés) puis fait les lien symboliques.</p> <p>sudo ln -s /usr/lib/libpari-gmp.so.3 /usr/lib/libpari-gmp.so.2</p> <p>sudo ln -s /usr/lib/i386-linux-gnu/libmpfr.so.4 /usr/lib/i386-linux-gnu/libmpfr.so.1</p> <p>Tout fonctionne, même l'affectation f(x) :=</p> <p>Merci encore Christophe.</p> <p> Thierry Vedel</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2014-01-27T16:37:38Z https://cmath.xyz/spip.php?article129#comment1905 2014-01-27T16:37:38Z <p>Bonjour,</p> <p>C'est beau le libre.<br class="autobr" /> J'ai récupéré un vieil ordi avec XP (pas pour longtemps).<br class="autobr" /> Je n'arrivais pas à installer CmathOOoCas et voilà une solution, pas complète mais c'est déjà beaucoup.</p> <p>Merci Seb31</p> <p>Thierry Vedel</p> Installation sous libre office 4.1.2.3 ubuntu 13.10 2013-11-12T09:58:03Z https://cmath.xyz/spip.php?article129#comment1892 2013-11-12T09:58:03Z <p>bonjour<br class="autobr" /> apres avoir telecharge ..CmathOOoCAS.oxt .2013.10.31 en activant j obtiens le message d erreur <br class="autobr" /> loading component library failed : (si je mets l'adresse je ne peux pas envoyer le message qui est considere comme contenant des spams)</p> <p>bien lu le post du 5 avril 2013 erreur avec liboff 4.0.0.3 sius ubuntu 10.04.. mais je suis incapable de l appliquer. J utilise sur un autre micro la version 2010.11.02 sur Ooo 3.2 sans probleme</p> Installation : touche F8 inactive sous open office 2013-11-03T19:49:13Z https://cmath.xyz/spip.php?article129#comment1890 2013-11-03T19:49:13Z <p>Super, je n'avais pas vu la mise à jour, merci ! Donc effectivement, Il faut rester en Apache OpenOffice 4.0.1.</p> Installation : touche F8 inactive sous open office 2013-11-03T10:59:18Z https://cmath.xyz/spip.php?article129#comment1888 2013-11-03T10:59:18Z <p>C'est dommage de repasser à AOO 3.4.1. D'autant plus que j'ai fait les modifications il y a quelques jours pour retrouver les barres d'outils de CmathOOo(CAS).<br class="manualbr" />Donc avec AOO4 : tout est OK.<br class="manualbr" />En effaçant son profil comme le préconise Seb31, tout devrait rentrer dans l'ordre.</p> Installation : touche F8 inactive sous open office 2013-11-03T10:49:49Z https://cmath.xyz/spip.php?article129#comment1887 2013-11-03T10:49:49Z <p>Ou plus simple, désinstalle ta version ApacheOpenOffice et mets la 3.4.1 disponible ici :<br class="autobr" /> archive.apache.org/dist/incubator/ooo/files/localized/fr/3.4.1/ (copie et colle dans la barre d'adresse de ton navigateur internet et trouve la version windows, je n'arrive pas à te mettre le lien direct).</p> Installation : touche F8 inactive sous open office 2013-11-03T10:37:25Z https://cmath.xyz/spip.php?article129#comment1886 2013-11-03T10:37:25Z <p>Moi, je n'ai pas de problème avec F8 et ApacheOpenOffice, efface ton dossier : C :\Utilisateurs\Ton Nom D'utilisateur\AppData\Roaming\OpenOffice (qui est un dossier caché, donc coche "Eléments masqués" dans l'onglet "Affichage" de l'explorateur windows 8.<br class="autobr" /> Puis réinstalle les extensions Cmath...</p> Installation : touche F8 inactive sous open office 2013-11-03T10:33:05Z https://cmath.xyz/spip.php?article129#comment1885 2013-11-03T10:33:05Z <p>Tu peux utiliser <a href="https://dl.dropboxusercontent.com/u/46279192/MathsSancerni/CmathOOoCAS_modifi%C3%A9.oxt" class="spip_out" rel='nofollow external'>CmathOOoCas_modifié</a> pour LibreOffice 4.1, (mais il y a quelques bugs, voir sujet précédent).</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-11-02T19:59:30Z https://cmath.xyz/spip.php?article129#comment1884 2013-11-02T19:59:30Z <p><strong> Seb31 a écrit : </strong></p> <blockquote class="spip"> <p> Attention EVALUER ne fonctionne pas correctement avec cette version :grr (voir la discussion sur ce sujet)<br class="autobr" /> Au secours, <strong>Rodrigue</strong> !!!</p> </blockquote> <p>Ce n'est pas étonnant. Il ne suffit pas de recompiler mon code source avec celui de giac. Sous windows, il faut aussi intégrer les librairies mpir et mpfr pour traiter correctement les valeurs numériques.<br class="manualbr" />Je pense m'y atteler un de ces jours...<br class="manualbr" />Il me semble aussi que LibO a introduit tellement de changements que l'ajout de fonctions formelles dans le tableur ne fonctionne plus. Par exemple, définissez la fonction f(x) :=x+1 dans la boite de dialogue "commandes CAS", compilez là et essayez de l'utiliser dans une cellule (=f(A1) par exemple). Je n'ai pas de LibO3 sous la main mais il me semble que cela ne fonctionnait pas. Avec AOO4 : aucun problème.</p> Installation : touche F8 inactive sous open office 2013-10-28T09:23:40Z https://cmath.xyz/spip.php?article129#comment1881 2013-10-28T09:23:40Z <p>Merci Seb31.<br class="autobr" /> Sur le net, je n'ai trouvé que les dernières versions de Lo 4.1 et Oo 4.0.1 (annulent et remplacent les précédentes ?) du coup<br class="autobr" /> * j'ai réinstallé Oo 4.0.1. + CmathOOo (éditeur simple, sans calcul formel, sous Firefox car sous explorer ça plante)) + CmathOOocas (avec calcul formel) : tout semble bien fonctionner... sauf que, comme précédemment la touche F8 (accès aux caractères/alphabets spéciaux) n'opère toujours pas, ce qui est assez handicapant pour nous matheux ! ¨Pas de barre d'outils non plus, donc tout en raccourci clavier (pas si compliqué, quitte à imprimer une petit mémo pour les fonctions les plus courantes)<br class="autobr" /> * j'ai aussi installé Lo 4.1. + CmathOOo : là tout va bien, F8 OK et une barre d'outils dédiée ! (soit directement soit avec "affichage + Barre outils" )... par contre : refus d'installer l'extension CmathOOocas : 3 messages d'erreur d'affilé lors de l'installation de cette extension, donc cette fois pas de calcul formel !</p> <p>Donc c'est soit le calcul formel (sans barre d'outils) soit les caractères spéciaux.<br class="autobr" /> Je précise que ce qui m'intéresse dans Cmath par rapport à Dmaths est la possibilité de calculs formels avec modif des paramètres en direct (bien pratique pour trouver des exos pour mes élèves avec des paramètres qui vont bien, sans calculs trop fastidieux).<br class="autobr" /> En attendant de trouver une solution ou une M.A.J. j'utiliserai une solution boiteuse : j'édite avec Lo et je fais un détour en copier-coller avec Oo pour les caractères spéciaux à moins de faire le contraire (je verrai à l'usage le plus pratique) : bien qu'un peu fastidieuse, cette méthode fonctionne (pour le moment)</p> <p>N.B. : Pour l'histoire des racines carrés et valeurs absolues, en effet une compile pdf rendent les choses beaucoup plus regardables (même si imparfaites), étonnamment sur la démo vidéo cela éditait directement très bien sur le document.</p> Installation : touche F8 inactive sous open office 2013-10-27T23:33:35Z https://cmath.xyz/spip.php?article129#comment1880 2013-10-27T23:33:35Z <p>Bonjour, si tu veux tester à la fois Dmaths et Cmath, le plus simple est d'installer <strong>ApacheOpenOffice</strong> pour Dmaths (Attention, prendre la version 3.4.1 et pas la 4...) et <strong>LibreOffice</strong> pour Cmaths. <br class="autobr" /> Pour l'affichage : attention ; ce que tu vois à l'écran n'est pas identique à ce qu'on imprime : les valeurs absolues seront plus grandes, la barre des racines moins séparée (fais un test avec un export en pdf).<br class="autobr" /> Pour F8 : je n'ai aucun problème. Vas dans "outils" puis "gestionnaire d'extension" supprime Dmaths et Cmath et réinstalle... (n'oublie pas de fermer LibreOffice puis de le rouvrir après la réinstallation d'une extension). Sinon la version conseillée pour LibreOffice est la 4.0.6 (sauf si tu veux utiliser CMathOOoCAS qui permet de faire du calcul formel, il vaut mieux utiliser la 3.6.7)<br class="autobr" /> @+ Sébastien</p> Installation : touche F8 inactive sous open office 2013-10-27T12:56:30Z https://cmath.xyz/spip.php?article129#comment1878 2013-10-27T12:56:30Z <p>une question de grand novice qui vient de migrer sous open office 4.0.0.3 aujourd'hui (avant j'étais sous Microsoft) avec mon nouveau portable sous W8.<br class="autobr" /> Après avoir installé puis désinstallé Dmaths pour ensuite installer Cmaths (non sans bug....après plusieurs essais !! : les macros Dmaths et Cmaths interfèrent ?), Cmaths semble bien fonctionner sauf que contrairement aux vidéos tutos :<br class="autobr" /> * Les valeurs absolues sont trop petites par rapport aux caractères encadrés<br class="autobr" /> * La racine carré a sa barre supérieure détachées du corps général (et "mes préférences" ne corrigent pas le problème), ce qui est gênant pour la mise en forme<br class="autobr" /> <strong>et surtout :</strong> <br class="autobr" /> * la touche F8 n'est pas opérante (pourtant j'ai téléchargé les fichiers script après CmathooO)<br class="autobr" /> * Enfin pas de barre d'outils verticale que l'on voit dans les tutos vidéo d'avant installation.</p> <p>Pourriez-vous m'aider S.V.P. ? Merci de faire simple car comme vous devez le constater, je galère très très rapidement !</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-10-18T17:43:24Z https://cmath.xyz/spip.php?article129#comment1875 2013-10-18T17:43:24Z <p>Attention EVALUER ne fonctionne pas correctement avec cette version :grr (voir la discussion sur ce sujet)<br class="autobr" /> Au secours, <strong>Rodrigue</strong> !!!</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-10-07T21:38:41Z https://cmath.xyz/spip.php?article129#comment1866 2013-10-07T21:38:41Z <p>Bonjour,</p> <p>Après installation de la nouvelle version, tout fonctionne très bien. Merci car CmathOooCas est très utile pour le calcul avec libre office. :bravo</p> <p>Cordialement<br class="autobr" /> Eric Marras</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-09-30T19:22:40Z https://cmath.xyz/spip.php?article129#comment1865 2013-09-30T19:22:40Z <p>En résumé, pour installer CmathOOoCAS sur les version 4 de LibreOffice</p> <p><span class="spip-puce ltr"><b>–</b></span> vous installez "normalement" CmathOOo (fonctionne normalement sur LibreOffice 4)</p> <p><span class="spip-puce ltr"><b>–</b></span> vous installez CmathOOoCAS avec <a href="https://dl.dropboxusercontent.com/u/46279192/MathsSancerni/CmathOOoCAS_modifi%C3%A9.oxt" class="spip_out" rel='nofollow external'>cette version</a>.</p> <p>@+</p> <p>Sébastien</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-09-11T12:46:04Z https://cmath.xyz/spip.php?article129#comment1861 2013-09-11T12:46:04Z <p><strong> RODRIGUE a écrit : </strong></p> <blockquote class="spip"> <p> Bonjour,<br class="autobr" /> Pour faire fonctionner cmathoocas sous libreoffice 4.xx, il faut recompiler la dll cmathooocas.uno.dll avec visual c++ 2010 et le sdk libo 4.<br class="autobr" /> J'ai compilé en adaptant légèrement, j'en ai profité pour utiliser la version 1.0 de giac.</p> <p>J'utilise une version portable de libreoffice celle de winpenpack.</p> <p>Pour installer l'ensemble cmathoo et cmathoocas sous libo 4, j'ai procédé ainsi :</p> <p>Etape 1 installation manuelle de cmathoo dans libo 4<br class="autobr" /> 1)j'ai recopié le dossier c :\program files\Libreoffice3\user\libreoffice3\user dans c :\program files\Libreoffice4\user\libreoffice4\user<br class="autobr" /> 2) cmathoo doit fonctionner (attention aux polices de caractères suivant votre config)</p> <p>Etape 2 installation de cmathooocas<br class="autobr" /> 1) renommer cmathooocas.oxt en cmathooocas.zip<br class="autobr" /> 2) effacer les dll dans le dossier windows de cmathooocas.zip<br class="autobr" /> 3) copier la dll cmathooocas.uno.dll qui est ici <a href="https://www.box.com/s/pykafx2zgvnw4h18cd81" class="spip_url spip_out auto" rel="nofollow external">https://www.box.com/s/pykafx2zgvnw4h18cd81</a> dans le dossier windows de cmathooocas.zip<br class="autobr" /> 4) renommer cmathooocas.zip en cmathooocas.oxt<br class="autobr" /> 5) installer cmathooocas dans libo en passant par le gestionnaire d'extension</p> <p>En espérant que cela pourra vous être utile.<br class="autobr" /> Merci pour ce merveilleux outil.<br class="autobr" /> Adérito RODRIGUE</p> </blockquote> <p>Merci beaucoup Adérito.</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-09-03T07:56:14Z https://cmath.xyz/spip.php?article129#comment1859 2013-09-03T07:56:14Z <p>Voici une version portable (4.0.4.2) avec CmathOooCas : <a href="https://docs.google.com/file/d/0ByKpbGH38_gicDQ5Sk1qVDU5RE0/edit?usp=sharing" class="spip_out" rel='nofollow external'>ici</a></p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-08-31T19:38:01Z https://cmath.xyz/spip.php?article129#comment1858 2013-08-31T19:38:01Z <p><strong> RODRIGUE a écrit : </strong></p> <blockquote class="spip"> <p> Bonjour,<br class="autobr" /> Pour faire fonctionner cmathoocas sous libreoffice 4.xx, il faut recompiler la dll cmathooocas.uno.dll avec visual c++ 2010 et le sdk libo 4.<br class="autobr" /> J'ai compilé en adaptant légèrement, j'en ai profité pour utiliser la version 1.0 de giac.</p> <p>J'utilise une version portable de libreoffice celle de winpenpack.</p> <p>Pour installer l'ensemble cmathoo et cmathoocas sous libo 4, j'ai procédé ainsi :</p> <p>Etape 1 installation manuelle de cmathoo dans libo 4<br class="autobr" /> 1)j'ai recopié le dossier c :\program files\Libreoffice3\user\libreoffice3\user dans c :\program files\Libreoffice4\user\libreoffice4\user<br class="autobr" /> 2) cmathoo doit fonctionner (attention aux polices de caractères suivant votre config)</p> <p>Etape 2 installation de cmathooocas<br class="autobr" /> 1) renommer cmathooocas.oxt en cmathooocas.zip<br class="autobr" /> 2) effacer les dll dans le dossier windows de cmathooocas.zip<br class="autobr" /> 3) copier la dll cmathooocas.uno.dll qui est ici <a href="https://www.box.com/s/pykafx2zgvnw4h18cd81" class="spip_url spip_out auto" rel="nofollow external">https://www.box.com/s/pykafx2zgvnw4h18cd81</a> dans le dossier windows de cmathooocas.zip<br class="autobr" /> 4) renommer cmathooocas.zip en cmathooocas.oxt<br class="autobr" /> 5) installer cmathooocas dans libo en passant par le gestionnaire d'extension</p> </blockquote> <p>Bonjour, et tout d'abord merci beaucoup à RODRIGUE pour nous avoir permis de réutiliser CmathCas avec libreoffice 4.xx.<br class="autobr" /> Je fais ce post pour ceux qui ont Windows 8, le chemin d'accès pour l'étape1) est : C :\Utilisateurs\''Nom de l'utilisateur''\AppData\Roaming\LibreOffice\3\user puis C :\Utilisateurs\''Nom de l'utilisateur''\AppData\Roaming\LibreOffice\3\user<br class="autobr" /> En souhaitant que certain d'entre vous gagne du temps avec Windows 8 ...</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-14T21:12:32Z https://cmath.xyz/spip.php?article129#comment1856 2013-07-14T21:12:32Z <p>Bonsoir,<br class="autobr" /> Peut être que certains ont rencontré une erreur de chargement de la dll Cmathooocasuno.dll avec la procédure donnée précédemment sur certaines configurations il faut ajouter la dll mpir.dll dans le dossier windows de l'extension cmathooocas.oxt.<br class="autobr" /> J'ai mis <a href="https://app.box.com/s/6yn9jeh9cfr8gk4utdx4" class="spip_out" rel='nofollow external'>ici</a> l'ensemble des dll CmathOOoCAS.uno.dll et mpir.dll dans un zip<br class="autobr" /> Adérito</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-08T20:46:55Z https://cmath.xyz/spip.php?article129#comment1855 2013-07-08T20:46:55Z <p>Merci Aderito, j'ai bien la bonne version de X-Libreoffice, de toutes façons, j'ai des soucis avec cette version car elle ne fonctionne pas sur certaines config... Dommage car elle semblait mieux "organisée" et plus rapide à se lancer que la version portable "officielle".</p> <p>Je vais essayer d'adapter ta méthode à la version portable officielle dès que j'ai un peu plus de temps... A moins que Christophe me devance...</p> <p>@+ Sébastien</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-06T19:03:18Z https://cmath.xyz/spip.php?article129#comment1854 2013-07-06T19:03:18Z <p>Pour Seb31, la version portable est ici :<br class="autobr" /> http: // sourceforge.net/projects/winpenpack/files/X-LibreOffice/releases/</p> <p>J'utilise la version 3.6.5 et la 4.0.4</p> <p>La procédure précédente doit fonctionner avec une version non portable mais le chemin du profil user est différent.</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-06T18:32:57Z https://cmath.xyz/spip.php?article129#comment1853 2013-07-06T18:32:57Z <p>Bonjour,<br class="autobr" /> Oui tu peux mettre mon travail à disposition, cela sera plus simple.</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-05T06:45:52Z https://cmath.xyz/spip.php?article129#comment1852 2013-07-05T06:45:52Z <p><strong> RODRIGUE a écrit : </strong></p> <blockquote class="spip"> <p> Bonjour,<br class="autobr" /> Pour faire fonctionner cmathoocas sous libreoffice 4.xx, il faut recompiler la dll cmathooocas.uno.dll avec visual c++ 2010 et le sdk libo 4.<br class="autobr" /> J'ai compilé en adaptant légèrement, j'en ai profité pour utiliser la version 1.0 de giac.</p> </blockquote> <p>Bravo !<br class="autobr" /> Puis-je mettre à disposition ton travail sur mon site ?</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-04T23:19:30Z https://cmath.xyz/spip.php?article129#comment1851 2013-07-04T23:19:30Z <p>Merci RODRIGUE,</p> <p>J'ai voulu tester mais je bloque dès l'étape 1).</p> <p>Cmath00 ne fonctionne pas sur ma version X-LibreOffice_3.6.6_rev15, voici l'erreur que j'obtiens :<a href="https://dl.dropboxusercontent.com/u/46279192/Erreur%20Cmathoo.JPG" class="spip_out" rel='nofollow external'>ici</a></p> <p>Pour faire plus simple, t'aurais pas la possibilité de nous mettre un lien de téléchargement de ta version portable :clin</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-04T07:25:19Z https://cmath.xyz/spip.php?article129#comment1850 2013-07-04T07:25:19Z <p>bonjour</p> <p>C'est top génial ! Ca fonctionne parfaitement ! Merci !!<br class="autobr" /> (sous windows vista)</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-07-03T12:09:21Z https://cmath.xyz/spip.php?article129#comment1849 2013-07-03T12:09:21Z <p>Bonjour,<br class="autobr" /> Pour faire fonctionner cmathoocas sous libreoffice 4.xx, il faut recompiler la dll cmathooocas.uno.dll avec visual c++ 2010 et le sdk libo 4.<br class="autobr" /> J'ai compilé en adaptant légèrement, j'en ai profité pour utiliser la version 1.0 de giac.</p> <p>J'utilise une version portable de libreoffice celle de winpenpack.</p> <p>Pour installer l'ensemble cmathoo et cmathoocas sous libo 4, j'ai procédé ainsi :</p> <p>Etape 1 installation manuelle de cmathoo dans libo 4<br class="autobr" /> 1)j'ai recopié le dossier c :\program files\Libreoffice3\user\libreoffice3\user dans c :\program files\Libreoffice4\user\libreoffice4\user<br class="autobr" /> 2) cmathoo doit fonctionner (attention aux polices de caractères suivant votre config)</p> <p>Etape 2 installation de cmathooocas<br class="autobr" /> 1) renommer cmathooocas.oxt en cmathooocas.zip<br class="autobr" /> 2) effacer les dll dans le dossier windows de cmathooocas.zip<br class="autobr" /> 3) copier la dll cmathooocas.uno.dll qui est ici <a href="https://www.box.com/s/pykafx2zgvnw4h18cd81" class="spip_url spip_out auto" rel="nofollow external">https://www.box.com/s/pykafx2zgvnw4h18cd81</a> dans le dossier windows de cmathooocas.zip<br class="autobr" /> 4) renommer cmathooocas.zip en cmathooocas.oxt<br class="autobr" /> 5) installer cmathooocas dans libo en passant par le gestionnaire d'extension</p> <p>En espérant que cela pourra vous être utile.<br class="autobr" /> Merci pour ce merveilleux outil.<br class="autobr" /> Adérito RODRIGUE</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-05-15T09:26:09Z https://cmath.xyz/spip.php?article129#comment1837 2013-05-15T09:26:09Z <p>Bonjour</p> <p>J'ai essayé différentes bidouilles en jouant à l'apprenti sorcier... mais je n'y connais rien en LibO :( et je trouve vraiment dommage que CmathOOoCas ne fonctionne pas !<br class="autobr" /> Je veux bien ouvrir un rapport de bug : comment fait-on ?</p> Installation 2013-05-01T12:15:55Z https://cmath.xyz/spip.php?article129#comment1834 2013-05-01T12:15:55Z <p><strong> mathazay a écrit : </strong></p> <blockquote class="spip"> <p> Bonne nouvelle, au lycée avec LibreOffice (version portable), ça fonctionne :-)</p> </blockquote> <p>À ma grande honte le problème était sans doute entre la chaise et le clavier... j'ai du perdre de vue qu'il faut cliquer sur la première icône, pour la mise en forme, puis sur la seconde pour l'évaluation...</p> Installation 2013-04-29T12:04:07Z https://cmath.xyz/spip.php?article129#comment1833 2013-04-29T12:04:07Z <p><strong> cdeval a écrit : </strong></p> <blockquote class="spip"> <p> Bonjour,<br class="manualbr" />je n'ai pas de soucis avec les évaluations :</p> </blockquote> <p>Bonne nouvelle, au lycée avec LibreOffice (version portable), ça fonctionne :-)</p> Installation 2013-04-26T10:02:07Z https://cmath.xyz/spip.php?article129#comment1831 2013-04-26T10:02:07Z <p>Bonjour,<br class="manualbr" />je n'ai pas de soucis avec les évaluations :<br class="manualbr" />f(x) :=x^3 suivi de F9 définit la fonction f<br class="manualbr" />f(2) suivi de Ctrl-F9 ou f(2)=calculer(f(2)) suivi de F9 donne bien f(2)=8<br class="manualbr" />De même avec f'(x) suivi de Ctrl-F9 ou f'(x)=calculer(f'(x)) qui renvoie bien f'(x)=3x^2<br class="manualbr" />Envoyez moi un document odt qui présente le problème...</p> Installation 2013-04-26T07:47:47Z https://cmath.xyz/spip.php?article129#comment1830 2013-04-26T07:47:47Z <p><strong> TV a écrit : </strong></p> <blockquote class="spip"> <p> Bonjour,</p> <p>...</p> <p>Bon courage</p> <p>TV</p> </blockquote> <p>As-tu bien testé : f(x) :=x^3 évaluation puis f(2) évaluation ? Dans la première évaluation, j'ai bien =définition qui apparaît, dans la seconde j'obtiens f(2)=f(2) (ou f'(x)=diff(f(x),x) pour autre exemple).<br class="autobr" /> Je résume mes efforts : <br /><span class="spip-puce ltr"><b>–</b></span> ce n'est pas libre office, j'ai fait une installation avec open office, même résultat, <br /><span class="spip-puce ltr"><b>–</b></span> ce n'est pas java, je suis passé de java6 à java7 avec le même résultat, <br /><span class="spip-puce ltr"><b>–</b></span> ce n'est pas une question liée à Xcas, il fonctionne sur les deux machines et produit les bons résultats aux évaluations précédentes, <br /><span class="spip-puce ltr"><b>–</b></span> ce n'est pas le système OSX 10.7.5 et Ubuntu 12.04 donnent le même résultat.<br class="autobr" /> Reste donc rationnellement une seule possibilité : la version actuellement disponible de cmathooocas contient un bogue ?</p> Installation 2013-04-22T17:08:49Z https://cmath.xyz/spip.php?article129#comment1829 2013-04-22T17:08:49Z <p>Bonjour,</p> <p>Désolé de ne pouvoir t'aider.<br class="autobr" /> Je n'ai pas de Mac.<br class="autobr" /> Je n'aime pas du tout Ubuntu 12.04.<br class="autobr" /> Mais je vais peut-être essayer sur la clef.</p> <p>Bon courage</p> <p>TV</p> Installation 2013-04-22T08:55:36Z https://cmath.xyz/spip.php?article129#comment1828 2013-04-22T08:55:36Z <p><strong> TV a écrit : </strong></p> <blockquote class="spip"> <p> f(x) :=x^2 puis on tappe F9</p> <p> f'(x)=cas(diff(f(x))) puis on tappe F9</p> <p> f(2)=cas(f(2)) puis on tappe F9</p> <p>Ca marche avec LO 4.0.2.2 sous Ubuntu 10.04</p> <p>TV</p> </blockquote> <p>Sur Mac, F9 est réservé au système donc ne peut être utilisé. <br class="autobr" /> J'ai essayé en écrivant cas( ) mais ça ne marche pas... est-ce que java est utilisé (c'est un problème avec Lion et après) ?</p> <p>Sur PC Ubuntu 12.04, Libre3.5.7.2 la touche F9 fonctionne (de même que CTL F9) mais l'expression n'est pas évaluée (simplement reconnue) comme sur Mac.</p> Installation 2013-04-21T09:52:54Z https://cmath.xyz/spip.php?article129#comment1827 2013-04-21T09:52:54Z <p>Bonjour,</p> <blockquote class="spip"> <p>mathazay a écrit :</p> <p> Mais l'évaluation ne fonctionne pas : f(x) :=x^2 s'affiche définition puis après f(2) affiche f(2)=f(2) ou encore f'(x) affiche f'(x)=diff(f(x),x). As-tu un idée ?</p> </blockquote> <p>La bonne syntaxe est :</p> <p> f(x) :=x^2 puis on tappe F9</p> <p> f'(x)=cas(diff(f(x))) puis on tappe F9</p> <p> f(2)=cas(f(2)) puis on tappe F9</p> <p>Ca marche avec LO 4.0.2.2 sous Ubuntu 10.04</p> <p>TV</p> Installation 2013-04-21T08:51:35Z https://cmath.xyz/spip.php?article129#comment1826 2013-04-21T08:51:35Z <p><strong> mathazay a écrit : </strong></p> <blockquote class="spip"> <p> Mais l'évaluation ne fonctionne pas : f(x) :=x^2 s'affiche définition puis après f(2) affiche f(2)=f(2) ou encore f'(x) affiche f'(x)=diff(f(x),x).<br class="autobr" /> As-tu un idée ?</p> </blockquote> <p>Je viens d'essayer sur Mac, je croyais que ça fonctionnait mais non, pas plus, l'évaluation de f'(x) donne aussi f'(x)=diff(f(x),x). Je dois certainement louper quelquechose</p> Installation 2013-04-21T08:33:58Z https://cmath.xyz/spip.php?article129#comment1825 2013-04-21T08:33:58Z <p><strong> TV a écrit : </strong></p> <blockquote class="spip"> <p> Bonjour,</p> <p>C'est une erreur classique, il manque une bibliothèque dans CmathOOoCAS.uno.so.</p> <p>La manip :<br class="autobr" /> Recherche du chemin du dossier contenant CmathOOoCAS.uno.so.<br class="autobr" /> Ce chemin est indiqué dans le message d'erreur.</p> <p> Aller dans le dossier contenant CmathOOoCAS.uno.so</p> </blockquote> <p>Bonjour,</p> <p>j'ai effectué l'installation de CmathOOocas sur OOo3 Ubuntu (avec les bibliothèques manquantes ou non liées) et je n'ai aucune bibli signalée :</p> <div style="text-align: left;" class="spip_code" dir="ltr"><code> linux-gate.so.1 => (0x00f51000)<br /> libuno_cppuhelpergcc3.so.3 => /usr/lib/libuno_cppuhelpergcc3.so.3 (0x00369000)<br /> libgiac.so.0 => /home/gilga/.config/libreoffice/3/user/extensions/tmp/extensions/luc2eho3.tmp_/CmathOOoCAS.oxt/Linux_x86/libgiac.so.0 (0x00436000)<br /> libgmp.so.3 => /home/gilga/.config/libreoffice/3/user/extensions/tmp/extensions/luc2eho3.tmp_/CmathOOoCAS.oxt/Linux_x86/libgmp.so.3 (0x00d1f000)<br /> libuno_cppu.so.3 => /usr/lib/libuno_cppu.so.3 (0x00110000)<br /> libuno_sal.so.3 => /usr/lib/libuno_sal.so.3 (0x00e93000)<br /> libstlport_gcc.so => /usr/lib/libstlport_gcc.so (0x001c4000)<br /> libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0x00d66000)<br /> libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0x0028d000)<br /> libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0x002b9000)<br /> libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0x00f52000)<br /> libuno_salhelpergcc3.so.3 => /usr/lib/libuno_salhelpergcc3.so.3 (0x0014a000)<br /> libmpfr.so.1 => /usr/lib/i386-linux-gnu/libmpfr.so.1 (0x002d7000)<br /> libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0x00334000)<br /> libntl-5.4.2.so => /usr/lib/libntl-5.4.2.so (0x0e29a000)<br /> libpari-gmp.so.2 => /usr/lib/libpari-gmp.so.2 (0x1781c000)<br /> libfltk_images.so.1.1 => /usr/lib/i386-linux-gnu/libfltk_images.so.1.1 (0x0034f000)<br /> libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0x00cde000)<br /> libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0x00d08000)<br /> libfltk.so.1.1 => /usr/lib/i386-linux-gnu/libfltk.so.1.1 (0x19a7b000)<br /> libfltk_gl.so.1.1 => /usr/lib/i386-linux-gnu/libfltk_gl.so.1.1 (0x00e4b000)<br /> libgsl.so.0 => /usr/lib/libgsl.so.0 (0x1b907000)<br /> libgslcblas.so.0 => /usr/lib/libgslcblas.so.0 (0x00ef0000)<br /> libreadline.so.5 => /home/gilga/.config/libreoffice/3/user/extensions/tmp/extensions/luc2eho3.tmp_/CmathOOoCAS.oxt/Linux_x86/libreadline.so.5 (0x0b48d000)<br /> libncurses.so.5 => /lib/i386-linux-gnu/libncurses.so.5 (0x00e65000)<br /> libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0x00151000)<br /> /lib/ld-linux.so.2 (0x00157000)<br /> libgmp.so.10 => /usr/lib/i386-linux-gnu/libgmp.so.10 (0x1e17c000)<br /> libjpeg.so.8 => /usr/lib/i386-linux-gnu/libjpeg.so.8 (0x1064f000)<br /> libXft.so.2 => /usr/lib/i386-linux-gnu/libXft.so.2 (0x00f2e000)<br /> libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0x0bae2000)<br /> libXinerama.so.1 => /usr/lib/i386-linux-gnu/libXinerama.so.1 (0x0035d000)<br /> libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0x1f11d000)<br /> libGL.so.1 => /usr/lib/i386-linux-gnu/mesa/libGL.so.1 (0x02948000)<br /> libtinfo.so.5 => /lib/i386-linux-gnu/libtinfo.so.5 (0x1400e000)<br /> libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0x077b3000)<br /> libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0x00e87000)<br /> libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0x11a40000)<br /> libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0x1763e000)<br /> libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0x165c9000)<br /> libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0x1d223000)<br /> libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0x00361000)<br /> libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0x00f44000)<br /> libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0x00365000)<br /> libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0x14033000)<br /> libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0x00f4a000)<br /> libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0x0f573000)<br /> libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0x0676e000)<br /> libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0x1dccd000)<br /> librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0x20498000)</code></div> <p>Mais l'évaluation ne fonctionne pas : f(x) :=x^2 s'affiche définition puis après f(2) affiche f(2)=f(2) ou encore f'(x) affiche f'(x)=diff(f(x),x).<br class="autobr" /> As-tu un idée ?</p> Installation 2013-04-20T21:25:39Z https://cmath.xyz/spip.php?article129#comment1824 2013-04-20T21:25:39Z <p>Finalement tout va bien , en suivant la démarche indiquée et avec un peu de recherche , j'ai pu installer CmathOOoCAS et ça fonctionne !<br class="autobr" /> Encore merci</p> <p>Joel</p> Installation 2013-04-15T07:20:35Z https://cmath.xyz/spip.php?article129#comment1823 2013-04-15T07:20:35Z <p>Grand merci pour cette réponse que je n'espérais plus !<br class="autobr" /> J'ai fait le début de la manip indiquée et repéré 5 éléments manquants :</p> <p> libmpfr.so.1 => not found<br class="autobr" /> libpari-gmp.so.2 => not found<br class="autobr" /> libfltk_images.so.1.1 => not found<br class="autobr" /> libfltk.so.1.1 => not found<br class="autobr" /> libfltk_gl.so.1.1 => not found</p> <p>Peux-tu m'indiquer comment faire pour installer ces bibliothèques manquantes ? <br class="autobr" /> ( J'utilise Linux depuis 5 ans mais je n'ai rien d'un expert )<br class="autobr" /> Ça me rendrait bien service <br class="autobr" /> Joel</p> Erreur CmathOOoCas avec LibreOffice 4.0.0.3 sous Ubuntu 10.04 2013-04-07T19:18:58Z https://cmath.xyz/spip.php?article129#comment1822 2013-04-07T19:18:58Z <p>Merci du retour.<br class="manualbr" />Cela semble confirmer que cette librairie n'est plus fournie par LibO4...</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-04-07T13:24:54Z https://cmath.xyz/spip.php?article129#comment1821 2013-04-07T13:24:54Z <p>Je suis incapable de dire ce qui se passe avec LibO, aussi bien sous Linux que Windows. Il semble y avoir pas mal de changements avec cette nouvelle version. Et je n'ai pas du tout le temps de faire des tests en ce moment.<br class="manualbr" />Si quelqu'un a le courage d'ouvrir un rapport de bug ...</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-04-06T12:12:37Z https://cmath.xyz/spip.php?article129#comment1820 2013-04-06T12:12:37Z <p>Bonjour,</p> <p>Sous Ubuntu du moins le 10.04 ça marche. Voir mon message.</p> <p>J'ai fait fonctionné avec libreoffice 4.0.0.3 et 4.0.2</p> <p>Avec comme d'habitude un problème de librairie, le paquet était dans LO3.6 mais pas dans LO4.0</p> <p>J'ai fait un copié de 3.6 à 4.0</p> <p>Il faudrait peut-être supprimer le dossier 3.6 avant d'installer 4.0</p> <p>TV</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-04-06T09:02:47Z https://cmath.xyz/spip.php?article129#comment1819 2013-04-06T09:02:47Z <p>Bonjour,<br class="autobr" /> J'ai aussi essayé d'installer cmathoocas sous windows et j'ai eu le même message d'erreur, je me demandais si ce n'était pas lié à l'évolution de Libreoffice 4 suivante :<br class="autobr" /> C++ UNO Language Binding and URE Libraries</p> <p> Base-line Windows / C++ compiler upgraded to Visual Studio 2010 (Fridrich Strba, Tor Lillqvist)<br class="autobr" /> runtime libraries for Visual Studio 2008 (msvcr90.dll) are no longer bundled</p> [Résolu] Erreur CmathOOoCas avec LibreOffice 4.0.0.3 sous Ubuntu 10.04 2013-04-05T13:42:05Z https://cmath.xyz/spip.php?article129#comment1818 2013-04-05T13:42:05Z <p>Bonjour,</p> <p>J'ai résolu le problème.</p> <p>J'ai recherché libstlport_gcc.so et je l'ai trouvé dans /opt/libreoffice3.6/ure/lib/</p> <p>Donc la vielle version de LO</p> <p>Par contre libstlport_gcc.so n'ai pas dans /opt/libreoffice4.0/ure/lib/</p> <p>La nouvelle version.</p> <p>J'ai copié libstlport_gcc.so dans /opt/libreoffice4.0/ure/lib/</p> <p>Ca marche</p> <p>Librement<br class="autobr" /> TV</p> Installation 2013-04-05T13:05:41Z https://cmath.xyz/spip.php?article129#comment1817 2013-04-05T13:05:41Z <p>Bonjour,</p> <p>C'est une erreur classique, il manque une bibliothèque dans CmathOOoCAS.uno.so.</p> <p>La manip :<br class="autobr" /> Recherche du chemin du dossier contenant CmathOOoCAS.uno.so.<br class="autobr" /> Ce chemin est indiqué dans le message d'erreur.</p> <p> Aller dans le dossier contenant CmathOOoCAS.uno.so</p> <p> Taper la commande : ldd CmathOOoCAS.uno.so</p> <p> Repèrer les lignes où est écrit <strong>not found</strong></p> <p> Exemple libstlport_gcc.so => not found</p> <p> Installer la bibliothèque manquante</p> <p>Je suis sous Linux, si c'est ouindo je ne peux pas t'aider.</p> <p>Librement</p> <p>TV</p> Erreur CmathOOoCas avec LibreOffice 4.0.0.3 sous Ubuntu 10.04 2013-04-05T11:03:53Z https://cmath.xyz/spip.php?article129#comment1816 2013-04-05T11:03:53Z <p>Bonjour,</p> <p>J'ai installé LibreOffice 4.0.0.3, Cmath fonctionne mais comme d'habitude CmathOOOcas ne fonctionne pas.<br class="autobr" /> Erreur habituel dans CmathOOoCAS.uno.so.<br class="autobr" /> Je fais la manip habituelle :<br class="autobr" /> Recherche du dossier<br class="autobr" /> Je vais dans le dossier contenant CmathOOoCAS.uno.so<br class="autobr" /> Puis je tape la commande ldd CmathOOoCAS.uno.so<br class="autobr" /> Je repère les lignes où est écrit not found<br class="autobr" /> Je trouve une seule ligne libstlport_gcc.so => not found</p> <p>Je cherche les bibliothèques libstlport<br class="autobr" /> Je trouve libstlport4.6lJdbl<br class="autobr" /> libstlport4.6-dev<br class="autobr" /> libstlport5.2 <br class="autobr" /> libstlport5.2-dev<br class="autobr" /> libstlport5.2-dbg</p> <p>Est installé (ou j'installe)<br class="autobr" /> libstlport4.6ldbl<br class="autobr" /> libstlport5.2 <br class="autobr" /> libstlport5.2-dev</p> <p>Je tente une nouvelle installationde Cmath000cas mais j'ai le même mesage d'erreur et toujours la ligne libstlport_gcc.so => not found</p> <p>Ci-dessous la manip pour chercher les bibliothèques manquantes.</p> <p>Merci pour vos réponses</p> <p>TV<br class="autobr" /> EEEpc sous Ubuntu 10.04 et LO 4.0.0.3</p> <p>thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt$ cd Linux_x86<br class="autobr" /> thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86$ ls -a<br class="autobr" /> . CmathOOoCAS.uno.rdb libgiac.so.0 libreadline.so.5<br class="autobr" /> .. CmathOOoCAS.uno.so libgmp.so.3<br class="autobr" /> thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86$ ldd CmathOOoCAS.uno.so<br class="autobr" /> linux-gate.so.1 => (0xb77a6000)<br class="autobr" /> libuno_cppuhelpergcc3.so.3 => /usr/lib/libuno_cppuhelpergcc3.so.3 (0xb76a0000)<br class="autobr" /> libgiac.so.0 => /home/thierry/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86/./libgiac.so.0 (0xb6df8000)<br class="autobr" /> libgmp.so.3 => /home/thierry/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86/./libgmp.so.3 (0xb6db0000)<br class="autobr" /> libuno_cppu.so.3 => /usr/lib/libuno_cppu.so.3 (0xb6d82000)<br class="autobr" /> libuno_sal.so.3 => /usr/lib/libuno_sal.so.3 (0xb6bbe000)<br class="autobr" /> libstlport_gcc.so => not found<br class="autobr" /> libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6ac9000)<br class="autobr" /> libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb6aa2000)<br class="autobr" /> libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6a83000)<br class="autobr" /> libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb6924000)<br class="autobr" /> libuno_salhelpergcc3.so.3 => /usr/lib/libuno_salhelpergcc3.so.3 (0xb691e000)<br class="autobr" /> libstlport_gcc.so.4.6 => /usr/lib/libstlport_gcc.so.4.6 (0xb6855000)<br class="autobr" /> libmpfr.so.1 => /usr/lib/libmpfr.so.1 (0xb6809000)<br class="autobr" /> libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb67f0000)<br class="autobr" /> libntl-5.4.2.so => /usr/lib/libntl-5.4.2.so (0xb6625000)<br class="autobr" /> libpari-gmp.so.2 => /usr/lib/libpari-gmp.so.2 (0xb636e000)<br class="autobr" /> libfltk_images.so.1.1 => /usr/lib/libfltk_images.so.1.1 (0xb635c000)<br class="autobr" /> libpng12.so.0 => /lib/libpng12.so.0 (0xb6336000)<br class="autobr" /> libz.so.1 => /lib/libz.so.1 (0xb6321000)<br class="autobr" /> libfltk.so.1.1 => /usr/lib/libfltk.so.1.1 (0xb6271000)<br class="autobr" /> libfltk_gl.so.1.1 => /usr/lib/libfltk_gl.so.1.1 (0xb6258000)<br class="autobr" /> libgsl.so.0 => /usr/lib/libgsl.so.0 (0xb6076000)<br class="autobr" /> libgslcblas.so.0 => /usr/lib/libgslcblas.so.0 (0xb6043000)<br class="autobr" /> libreadline.so.5 => /home/thierry/.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86/./libreadline.so.5 (0xb6010000)<br class="autobr" /> libncurses.so.5 => /lib/libncurses.so.5 (0xb5fd8000)<br class="autobr" /> libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb5fd4000)<br class="autobr" /> libpam.so.0 => /lib/libpam.so.0 (0xb5fc7000)<br class="autobr" /> libcrypt.so.1 => /lib/tls/i686/cmov/libcrypt.so.1 (0xb5f95000)<br class="autobr" /> /lib/ld-linux.so.2 (0xb77a7000)<br class="autobr" /> libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb5f73000)<br class="autobr" /> libXft.so.2 => /usr/lib/libXft.so.2 (0xb5f5f000)<br class="autobr" /> libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb5f2f000)<br class="autobr" /> libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb5f2b000)<br class="autobr" /> libX11.so.6 => /usr/lib/libX11.so.6 (0xb5e0e000)<br class="autobr" /> libGL.so.1 => /usr/lib/mesa/libGL.so.1 (0xb5da8000)<br class="autobr" /> libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb5d32000)<br class="autobr" /> libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb5d28000)<br class="autobr" /> libexpat.so.1 => /lib/libexpat.so.1 (0xb5d00000)<br class="autobr" /> libXext.so.6 => /usr/lib/libXext.so.6 (0xb5cf0000)<br class="autobr" /> libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb5cd5000)<br class="autobr" /> libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0xb5ccf000)<br class="autobr" /> libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb5ccb000)<br class="autobr" /> libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb5cc5000)<br class="autobr" /> libdrm.so.2 => /lib/libdrm.so.2 (0xb5cba000)<br class="autobr" /> libXau.so.6 => /usr/lib/libXau.so.6 (0xb5cb5000)<br class="autobr" /> libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb5caf000)<br class="autobr" /> librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb5ca6000)<br class="autobr" /> thierry@Robespierre : /.config/libreoffice/4/user/uno_packages/cache/uno_packages/luc7ksp0.tmp_/CmathOOoCAS.oxt/Linux_x86$</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-02-15T10:36:45Z https://cmath.xyz/spip.php?article129#comment1770 2013-02-15T10:36:45Z <p>(les précédents c'était en réactivant) quand je reinstalle : j'ai presque kle même message avec :<br class="autobr" /> file :///C :/Users/Sandrine/AppData/Roaming/LibreOffice/4/user/uno_packages/cache/uno_packages/lu1el1ly.tmp_/CmathOOoCAS.oxt/Windows/CmathOOoCAS.uno.dll</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-02-15T10:34:34Z https://cmath.xyz/spip.php?article129#comment1769 2013-02-15T10:34:34Z <p>puis celui là : <a href="https://dl.dropbox.com/u/46279192/pagesweb/erreurCmath.jpg" class="spip_url spip_out auto" rel="nofollow external">https://dl.dropbox.com/u/46279192/pagesweb/erreurCmath.jpg</a></p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-02-15T10:17:27Z https://cmath.xyz/spip.php?article129#comment1768 2013-02-15T10:17:27Z <p>Bonjour, CmathOocas était désactivé après la mise à jour. <br class="autobr" /> Voici le message d'erreur quand j'essaie de réactiver (ou de réinstaller) :<br class="autobr" /> [img]<a href="https://dl.dropbox.com/u/46279192/pagesweb/Sans%20titre%201.jpg" class="spip_url spip_out auto" rel="nofollow external">https://dl.dropbox.com/u/46279192/pagesweb/Sans%20titre%201.jpg</a>[/img]</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-02-14T20:35:41Z https://cmath.xyz/spip.php?article129#comment1767 2013-02-14T20:35:41Z <p>L'extension ne s'installe pas ?<br class="manualbr" />Quel est le message d'erreur ?</p> Ne fonctionne pas avec LibreOffice 4.0.0.3 sous windows 2013-02-14T20:09:30Z https://cmath.xyz/spip.php?article129#comment1766 2013-02-14T20:09:30Z <p>Bonjour, tout est dans le titre, apparemment il doit manquer des librairies dans la 4.0.0.3 sous windows, j'ai pas essayé sous ubuntu...<br class="autobr" /> Donc je retourne à la 3.6...</p> Erreur avec CmathOOoCAS.uno.so 2013-02-12T15:51:55Z https://cmath.xyz/spip.php?article129#comment1753 2013-02-12T15:51:55Z <p>Bonjour, le lien mentionné au dessus ne fonctionne plus, pouvez-vous m'indiquer quelle est la manipulation pour connaitre les librairies manquantes ?<br class="autobr" /> Merci</p> problème d'installation 2013-02-04T10:37:06Z https://cmath.xyz/spip.php?article129#comment1732 2013-02-04T10:37:06Z <p>Extrêmement cohérent et belle analyse, rien à rajouter en plus excepté bonne continuation ! Emilie12 du site internet sur la <a href="http://www.banqueenligne.biz/" class="spip_out" rel='nofollow external'>banque en ligne</a></p> problème d'installation [résolu] 2013-02-02T10:53:56Z https://cmath.xyz/spip.php?article129#comment1730 2013-02-02T10:53:56Z <p>Ce commentaire seulement histoire de communiquer ma motivation en lisant votre blog. Julie17 du guide sur l'<a href="http://www.mon-assurance-auto.net/assurance-voiture-electrique.html" class="spip_out" rel='nofollow external'>assurance voiture electrique</a></p> Installation 2012-08-31T09:21:46Z https://cmath.xyz/spip.php?article129#comment1635 2012-08-31T09:21:46Z <p>Bonjour<br class="autobr" /> J'ai un peu le même problème que manuyouka , mais je n'ai pas pu suivre les liens ( fatal error dans plusieurs cas )<br class="autobr" /> J'utilisais jusqu'ici sans problème Cmath et CmathCAs dans OpenOffice sous Ubuntu 10.10 <br class="autobr" /> Cette version n'étant plus supportée , j'ai migré sous Ubuntu 12.04 ( et LibreOffice 3.5.4.2 )</p> <p>Cmath s'installe sans problème mais pour CmathCAs , le gestionnaire des extensions n'est pas content et me dit :</p> <p>loading component library failed : .../Linux_x86_64/CmathOOoCAS.uno.so</p> <p>Le fichier est pourtant bien présent à l'emplacement indiqué .<br class="autobr" /> J'ai essayé quelques manips indiquées dans les réponses à manuyouka mais ça ne donne rien de correct .<br class="autobr" /> Dommage de ne pas pouvoir utiliser ce superbe outil ...<br class="autobr" /> Merci pour toute suggestion<br class="autobr" /> Joel</p> problème d'installation 2012-03-19T00:51:10Z https://cmath.xyz/spip.php?article129#comment1585 2012-03-19T00:51:10Z <p>Merci Mumblee,</p> <p>Comme tu as dû voir, j'ai résolu le problème.<br class="autobr" /> Mais j'ai appris aussi pas mal de choses.</p> <p>TV</p> problème d'installation 2012-03-18T19:56:12Z https://cmath.xyz/spip.php?article129#comment1584 2012-03-18T19:56:12Z <p><strong> TV a écrit : </strong></p> <blockquote class="spip"> <p> Je pense que la ligne de commande donné par X (Je ne peux pas voir le message donc le nom, mais merci X) est erronée.</p> <p>Il y a deux fois la même librairie, je ne sais pas par quoi je dois remplacer /usr/lib/libpari-gmp.so.2</p> <p>sudo ln -s libpari-gmp.so.2 /usr/lib/libpari-gmp.so.2</p> </blockquote> <p>Ah zut, faute de frappe de ma part.</p> <p>Je ne suis plus devant l'ordinateur :-( Faire</p> <div style="text-align: left;" class="spip_code" dir="ltr"><code> <br /> ls /usr/lib/libpari-gmp*</code></div> <p>pour trouver le bon nom...</p> problème d'installation [résolu] 2012-03-18T19:55:56Z https://cmath.xyz/spip.php?article129#comment1583 2012-03-18T19:55:56Z <p>C'a y est, ça marche.</p> <p>En remontant le forum, j'ai vu qu'il fallait aller voir dans /usr/lib.</p> <p>J'y ai bien trouvé libpari-gmp.so.2.5.0 et le lien créé précédemment, libpari-gmp.so.2 en rouge (c'est ça ?)</p> <p>Je tape :<br class="autobr" /> sudo ln -s /usr/lib/libpari-gmp.so.2.5.0 /usr/lib/libpari-gmp.so.2</p> <p>Echec trop de liens symboliques.</p> <p>Je supprime libpari-gmp.so.2</p> <p>sudo rm libpari-gmp.so.2</p> <p>A nouveau :<br class="autobr" /> sudo ln -s /usr/lib/libpari-gmp.so.2.5.0 /usr/lib/libpari-gmp.so.2</p> <p>Puis installation de CmathOOoCas sans problème.</p> <p>Merci Mumblee et CDeval.</p> problème d'installation 2012-03-18T19:36:08Z https://cmath.xyz/spip.php?article129#comment1581 2012-03-18T19:36:08Z <p>Bonjour,</p> <p>J'ai testé.</p> <p>libmpfr est bien passé.</p> <p>libmpfr.so.1 => /usr/lib/libmpfr.so.1 (0x003d6000)</p> <p>Mais pas libpari</p> <p>libpari-gmp.so.2 => not found</p> <p>Je pense que la ligne de commande donné par X (Je ne peux pas voir le message donc le nom, mais merci X) est erronée.</p> <p>Il y a deux fois la même librairie, je ne sais pas par quoi je dois remplacer /usr/lib/libpari-gmp.so.2</p> <p>sudo ln -s libpari-gmp.so.2 /usr/lib/libpari-gmp.so.2</p> problème d'installation 2012-03-18T18:06:33Z https://cmath.xyz/spip.php?article129#comment1580 2012-03-18T18:06:33Z <p>Merci pour ces réponses.</p> <p>Je teste et vous mets au courant.<br class="autobr" /> Je n'ai pas encore fait de liens, mais comme ça je saurais faire.</p> <p>TV</p> problème d'installation. 2012-03-18T10:16:46Z https://cmath.xyz/spip.php?article129#comment1579 2012-03-18T10:16:46Z <p>merci mumblee d'avoir été plus rapide que moi.<br class="manualbr" />effectivement les liens symboliques devraient régler le problème.<br class="manualbr" />ça fait un moment que je réfléchis à une solution mais le fait que l'OS n'ait pas la possibilité de mettre à jour l'extension ne rend pas les choses simple. En plus, même avec ce lien symbolique, une mise à jour de ces librairies peut rendre le lien caduque et alors, openoffice ou libreoffice planteront au démarrage (car le test de présence des librairies nécessaires n'a lieu qu'à l'installation de l'extension. Une fois installée, il n'y a plus de garde-fou).<br class="manualbr" />Seule solution que je vois : compiler une version statique comme pour windows. Mais l'extension va prendre beaucoup de poids pour inclure des librairies déjà présentes avec l'OS. Pas très satisfaisant comme solution.</p> problème d'installation. 2012-03-18T08:48:02Z https://cmath.xyz/spip.php?article129#comment1578 2012-03-18T08:48:02Z <p>Bonjour,</p> <p><strong> TV a écrit : </strong></p> <blockquote class="spip"> <p> J'ai installé libmpfr4</p> <p>J'ai installé libpari-gmp3</p> <p>J'ai toujours les mêmes erreurs à l'installation. <br class="manualbr" />libmpfr.so.1 => not found<br class="manualbr" />libpari-gmp.so.2 => not found</p> <p>Faudrait-il changer un nom ?</p> </blockquote> <p>Presque. Lire le message de l'auteur de l'extension plus haut dans le fil de discussion : il faut ajouter des liens symboliques pour que les noms des librairies cherchées par CmathOOo correspondent à ceux du système qui, si j'ai bien compris, évolué depuis la compilation de l'extension.</p> <div style="text-align: left;" class="spip_code" dir="ltr"><code>sudo ln -s /usr/lib/libmpfr.so.4.0.1 /usr/lib/libmpfr.so.1<br /> sudo ln -s libpari-gmp.so.2 /usr/lib/libpari-gmp.so.2</code></div> <p>devrait convenir...</p> problème d'installation 2012-03-17T23:10:42Z https://cmath.xyz/spip.php?article129#comment1577 2012-03-17T23:10:42Z <p>Suite du message.</p> <p>J'a bien fait un apt-get search ...<br class="autobr" /> Les librairies donnés en retour sont bien installées.</p> <p>TV</p> problème d'installation. 2012-03-17T22:51:11Z https://cmath.xyz/spip.php?article129#comment1576 2012-03-17T22:51:11Z <p>Bonjour,</p> <p>Je suis sous Xubuntu 11.10 avec LO 3.5.1<br class="autobr" /> Je ne trouve pas les paquets manquants dans Synaptic.</p> <p>Après ldd CmathOOoCAS.uno.so :</p> <p> libmpfr.so.1 => not found</p> <p> J'ai installé libmpfr4</p> <p> libmpfr4-dbg</p> <p> libmpfr4-dev</p> <p> libmpfr-dev</p> <p> libmpfr-doc</p> <p> libgmp-dev</p> <p> libpari-gmp.so.2 => not found</p> <p> J'ai installé libpari-gmp3</p> <p>J'ai toujours les mêmes erreurs à l'installation.</p> <p> libmpfr.so.1 => not found</p> <p> libpari-gmp.so.2 => not found</p> <p>Faudrait-il changer un nom ?</p> <p>Merci</p> <p>TV</p> problème d'installation 2012-03-07T15:22:40Z https://cmath.xyz/spip.php?article129#comment1574 2012-03-07T15:22:40Z <p>Bonjour,</p> <p><strong> mumblee a écrit : </strong></p> <blockquote class="spip"> <p> Pas encore trouvé le temps de l'installer mais je devrais tirer profit des vacances pour l'essayer...</p> </blockquote> <p>Ça y est, j'ai installé LibreOffice 3.5 à l'aide des paquets téléchargés depuis le site officiel (on peut aussi passer par le <a href="http://doc.ubuntu-fr.org/libreoffice#via_le_ppa" class="spip_out" rel='nofollow external'>dépôt ppa</a>).</p> <p>Pour ma part, c'était la librairie libstlproc_gcc.so du paquet libstlport5.2 qui était manquante. Il y a pourtant un lien symbolique de /usr/lib/ure/lib/libstlport_gcc.so vers /usr/lib/libstlport_gcc.so.4.6 mais cela ne semble pas suffire. Il faut ajouter un lien dans /usr/lib/ :</p> <div style="text-align: left;" class="spip_code" dir="ltr"><code>sudo ln -s /usr/lib/libstlport_gcc.so.4.6 /usr/lib/libstlport_gcc.so</code></div> <p>Bon, maintenant il faut "jouer" avec CmathOOoCAS... :-)</p> problème d'installation 2012-02-29T09:18:31Z https://cmath.xyz/spip.php?article129#comment1573 2012-02-29T09:18:31Z <p>Bonjour,</p> <p><strong> Herve a écrit : </strong></p> <blockquote class="spip"> <p> Pour moi cela ne fonctionne pas : ubuntu 11.10 et libreoffice 3.5</p> </blockquote> <p>Pas encore trouvé le temps de l'installer mais je devrais tirer profit des vacances pour l'essayer...</p> <blockquote class="spip"> <p> Voici les librairies "not found" :<br class="autobr" /> libntl-5.4.2.so ; libpari-gmp.so.2 ; libfltk_images.so.1.1 ; libfltk.so.1.1 ; libfltk_gl.so.1.1<br class="autobr" /> Je suis bloqué, avez-vous une solution ?</p> </blockquote> <p>Peut-être qu'elle ne sont pas du tout installées ? Proposition de procédure pour installer ce qui convient :</p> <ol class="spip"><li> Chercher le paquet qui contient la dite librairie : <code class="spip_code" dir="ltr">apt-cache search libntl</code> On obtient <blockquote class="spip"> <p> libntl-5.4.2 - Number Theory Library, shared library<br class="manualbr" />libntl-dev - Number Theory Library, development files<br class="manualbr" />libntlm0 - NTLM authentication library<br class="manualbr" />libntlm0-dev - Development files for the NTLM authentication library</p> </blockquote></li><li> Installer la librairie : <code class="spip_code" dir="ltr">sudo apt-get install libntl-5.4.2</code></li><li> Vérifier : <code class="spip_code" dir="ltr">dpkg -L libntl-5.4.2</code></li><li> Recommencer pour les autres.</li></ol> <p>Bon courage !</p> problème d'installation 2012-02-28T21:46:31Z https://cmath.xyz/spip.php?article129#comment1572 2012-02-28T21:46:31Z <p><strong> cdeval a écrit : </strong></p> <blockquote class="spip"> <p> je suis au courant de ce problème de librairies manquantes dans oneiric.<br class="manualbr" />j'ai prévu de recompiler ma librairie en la rendant statique vis à vis de ces deux librairies entre autre.<br class="manualbr" />en attendant, tu peux essayer cela dans un terminal :<br class="manualbr" />sudo nautilus<br class="manualbr" />ensuite, tu vas chercher /usr/lib/libmpfr.so.4.0.1 et tu cliques droit : créer un lien que tu appelles libmpfr.so.1<br class="manualbr" />idem pour libpari-gmp.so.2.5.0 -> libpari-gmp.so.2<br class="manualbr" />il te reste à tenter l'install à nouveau (regarde déjà si ldd voit bien les deux librairies).<br class="manualbr" />ensuite, teste le bon fonctionnement de CmathOOoCAS. Je ne garantis rien. Il faudrait qu'il y ait une compatibilité descendante de ces deux lib, ce qui est probable mais....<br class="manualbr" />Tiens moi au courant,<br class="manualbr" />si ça marche, je mettrai la démarche sur mon site en attendant ma recompilation.</p> </blockquote> <p>Bonjour</p> <p>Pour moi cela ne fonctionne pas : ubuntu 11.10 et libreoffice 3.5</p> <p>Voici les librairies "not found" :<br class="autobr" /> libntl-5.4.2.so ; libpari-gmp.so.2 ; libfltk_images.so.1.1 ; libfltk.so.1.1 ; libfltk_gl.so.1.1</p> <p>Et en effet, je n'en retrouve aucune trace, y compris dans /usr/lib/</p> <p>Je suis bloqué, avez-vous une solution ?<br class="autobr" /> Merci encore</p> problème d'installation 2012-02-21T07:39:00Z https://cmath.xyz/spip.php?article129#comment1569 2012-02-21T07:39:00Z <p>Bonjour,</p> <p><strong> cdeval a écrit : </strong></p> <blockquote class="spip"> <p> merci de cette confirmation.<br class="manualbr" />En ce qui concerne le forum d'OOo, je pense que ça ne serait pas très poli de le squatter pour des problèmes techniques qui n'intéresseraient que les utilisateurs de Cmath...</p> </blockquote> <p>De rien.</p> <p>Pour le forum OOo, je voyais plus cela comme "rassembler à un même endroit toutes les ressources utiles" puisqu'il y a un forum dédié aux extensions. Mais peut-être avez-vous raison ? Il faudrait demander aux modérateurs du forum OOo.</p> <p>Cordialement,</p> <p>PS : joli exemple d'intégration de SpipBB à un site en Spip. Est-ce que ce sont deux instances différentes de Spip, ou bien juste une rubrique dédiée ?</p> problème d'installation 2012-02-20T12:47:53Z https://cmath.xyz/spip.php?article129#comment1568 2012-02-20T12:47:53Z <p>merci de cette confirmation.<br class="manualbr" />En ce qui concerne le forum d'OOo, je pense que ça ne serait pas très poli de le squatter pour des problèmes techniques qui n'intéresseraient que les utilisateurs de Cmath...</p> problème d'installation 2012-02-19T13:33:26Z https://cmath.xyz/spip.php?article129#comment1567 2012-02-19T13:33:26Z <p>Bonjour,</p> <p>Merci pour ces extensions très utiles. Honnêtement, je ne les ai pas encore exploitées avec mes élèves de collège, mais c'est bien dans mes intentions.</p> <p><strong> cdeval a écrit : </strong></p> <blockquote class="spip"> <p> ensuite, tu vas chercher /usr/lib/libmpfr.so.4.0.1 et tu cliques droit : créer un lien que tu appelles libmpfr.so.1<br class="manualbr" />idem pour libpari-gmp.so.2.5.0 -> libpari-gmp.so.2</p> </blockquote> <p>Puisque personne n'a confirmé, je le fais : la création de ces deux liens symboliques permet l'installation de l'extension. Il me reste à "jouer" <br class="autobr" /> :clin avec CMathOOoCAS pour faire un retour plus complet. Probablement pendant les vacances à venir.</p> <p>Merci du support proposé via ce forum.</p> <p>Question bête(?) : pourquoi ne pas utiliser le forum français officiel d'OOo, sur lequel il y a d'ailleurs de la publicité pour vos extensions ?</p> <p>Bien cordialement,</p> problème d'installation 2011-11-13T13:10:50Z https://cmath.xyz/spip.php?article129#comment1519 2011-11-13T13:10:50Z <p>Salut Thierry (je me permets, Thierry Maurel me parle de toi de temps en temps ! Je bosse à Blaise Pascal...)</p> <p>je suis au courant de ce problème de librairies manquantes dans oneiric.<br class="manualbr" />j'ai prévu de recompiler ma librairie en la rendant statique vis à vis de ces deux librairies entre autre.<br class="manualbr" />en attendant, tu peux essayer cela dans un terminal :<br class="manualbr" />sudo nautilus<br class="manualbr" />ensuite, tu vas chercher /usr/lib/libmpfr.so.4.0.1 et tu cliques droit : créer un lien que tu appelles libmpfr.so.1<br class="manualbr" />idem pour libpari-gmp.so.2.5.0 -> libpari-gmp.so.2<br class="manualbr" />il te reste à tenter l'install à nouveau (regarde déjà si ldd voit bien les deux librairies).<br class="manualbr" />ensuite, teste le bon fonctionnement de CmathOOoCAS. Je ne garantis rien. Il faudrait qu'il y ait une compatibilité descendante de ces deux lib, ce qui est probable mais....<br class="manualbr" />Tiens moi au courant,<br class="manualbr" />si ça marche, je mettrai la démarche sur mon site en attendant ma recompilation.</p> problème d'installation 2011-11-13T11:56:01Z https://cmath.xyz/spip.php?article129#comment1518 2011-11-13T11:56:01Z <p>Bonjour,</p> <p>Je rouvre ce post après mise à jour vers Ubuntu 11.10 Oneiric.</p> <p>Je suis confronté à un refus d'installation avec le même message d'erreur.<br class="autobr" /> La commande ldd CmathOOoCAS.uno.so dans le répertoire Linux_x86 me donne deux librairies manquantes : libmpfr.so.1 et libpari-gmp.so.2.<br class="autobr" /> Hélas, une recherche dans packages.ubuntu.com ne donne rien, il n'y a plus les paquets adéquats dans oneiric (alors qu'on les trouve bien pour Natty).</p> <p>Auriez-vous une idée ? Là je sèche... Merci et bravo pour votre formidable travail.</p> <p>Thierry JOFFREDO</p> Plantage du système Ubuntu 10.04 à l'installation. 2011-11-03T01:23:33Z https://cmath.xyz/spip.php?article129#comment1512 2011-11-03T01:23:33Z <p>Bonsoir,</p> <p>Le nouvel épisode.</p> <p>Sur Writer, je crée un nouveau document avec des formules et du calcul formel comme d'habitude pour tester.</p> <p>Pas de problème en effaçant les formules ou en vérifiant la grammaire avec Language Tools.</p> <p>Par contre, je demande une nouvelle vérification avec Language Tools et là LO 3.4.3 se ferme subitement.</p> <p>Nouvel essai avec un document ancien de test, pas de problème.</p> <p>Etonnant.</p> Plantage du système Ubuntu 10.04 à l'installation. 2011-11-02T03:56:19Z https://cmath.xyz/spip.php?article129#comment1511 2011-11-02T03:56:19Z <p>Je viens d'installer Language Tools 1.5 et tout est nickel.</p> <p>Par contre Grammalecte a posé problème, il faudrait revérifier.</p> <p>TV</p> Plantage du système Ubuntu 10.04 à l'installation. 2011-11-01T20:37:14Z https://cmath.xyz/spip.php?article129#comment1510 2011-11-01T20:37:14Z <p>Bonjour,</p> <p>J'ai donc fait un topo sur les manips.<br class="autobr" /> Je pense qu'il sera pubié sous peu.</p> <p>Pour compléter ce topo.</p> <p>Après installation de CmathOOo, CmathOOocas et des dictionnaires tout va très.</p> <p>J'installe un correcteur orthographique (ce n'est pas language-tools, je n'ai plus le nom en tête, mais je soupçonne aussi ce dernier de créer les mêmes problèmes) et LO devient très instable et se ferme subitement.<br class="autobr" /> Je le désinstalle et tout marche à nouveau.</p> <p>Si j'ai le temps, je vais tester avec les autres extensions.</p> <p>Ubuntu 10.04 et LO 3.4.3</p> Installation 2011-11-01T09:20:22Z https://cmath.xyz/spip.php?article129#comment1509 2011-11-01T09:20:22Z <p>pour connaître les librairies utilisées par CmathOOoCAS il y a la commande ldd : <a href="http://cdeval.free.fr/spip.php?page=voirsujet&id_forum=1209" class="spip_url spip_out auto" rel="nofollow external">http://cdeval.free.fr/spip.php?page=voirsujet&id_forum=1209</a></p> <p>Je reconnais que l'usage de librairies dynamiques est un problème. A l'installation s'il en manque une, cela provoquera une erreur et CmathOOoCAS ne s'installera pas, ce qui est embêtant mais ne compromet pas OOo/LibO<br class="manualbr" />Plus gênant, en cas de mise à jour de la distribution, si une librairie nécessaire est mise à jour ou disparaît du système, OOo/LibO ne peut pas le savoir et cela provoquera un crash à l'ouverture. Dans ce cas OOo/LibO devient inutilisable.</p> <p>J'ai donc prévu de recompiler CmathOOoCAS Linux en incluant ces deux librairies dans la mienne (et d'autres qui ne sont pas fournies de base dans les distrib). L'extension va grossir mais cela me semble nécessaire pour assurer la pérennité.<br class="manualbr" />Je posterai un message ici dès que ce sera dispo.</p> <p>PS : Sur windows et Mac, pas de soucis car la méthode de compilation utilisée est différente et presque tout est inclu dans ma librairie (en statique donc).</p> Installation 2011-11-01T08:28:46Z https://cmath.xyz/spip.php?article129#comment1508 2011-11-01T08:28:46Z <p>Après réinstallation complète de Ubuntu 11.10<br class="autobr" /> suite à upgrade mal passé</p> <p>il lui manque des bouts :</p> <p>E : Impossible de trouver le paquet libmpfr1ldbl</p> <p>E : Impossible de trouver le paquet libpari2-gmp</p> <p>Ne serait il pas possible de mettre sur le site de source de logiciels de XCAS :</p> <p><a href="http://www-fourier.ujf-grenoble.fr/~parisse/debian/" class="spip_url spip_out auto" rel="nofollow external">http://www-fourier.ujf-grenoble.fr/~parisse/debian/</a></p> <p>les librairies que tous ces logiciels utilisent<br class="autobr" /> en archives<br class="autobr" /> (ce qui ne doit pas être très gros quand même)</p> <p>pour ne pas avoir cette déconvenue<br class="autobr" /> et se trouver à la merci de bases qui se vident<br class="autobr" /> pour des versions plus au gout du jour<br class="autobr" /> mais qui ne sont pas un progrès dans ce cas ?</p> Plantage du système Ubuntu 10.04 à l'installation. 2011-10-31T20:23:53Z https://cmath.xyz/spip.php?article129#comment1505 2011-10-31T20:23:53Z <p>Merci pour ces informations.<br class="manualbr" />Pourquoi pas en faire un petit résumé sur le site en effet...</p> [Complètement résolu, j'espère] Plantage du système Ubuntu 10.04 à l'installation. 2011-10-31T01:07:33Z https://cmath.xyz/spip.php?article129#comment1504 2011-10-31T01:07:33Z <p>Suite du deuxième message,</p> <p>J'avais résolu l'installation, mais LO 3.4 était très instable et se fermer subitement.</p> <p>Donc, j'ai supprimé mon profil :</p> <p>Dans mon home pour moi /home/thierry</p> <p>J'ai supprimé .libreoffice et .openoffice</p> <p>Comme il restait encore des extensions vérouillées dans le gestionnaire d'extensions,<br class="autobr" /> j'ai supprimé le dossier extensions qui se trouve dans /opt/libreofficexxx/share</p> <p>Puis je l'ai recréé.</p> <p>Puis installation de CmathOOo, test de stabilité.</p> <p>Puis installation de CmathOOoCas, test de stabilité,</p> <p>Pour le moment tout va bien.</p> <p>Encore merci pour ces excellents logiciels dont je me sers tous les jours.</p> <p>Calculer dans writer c'est le pied quand on écrit un cours ou un corrigé.</p> <p>TV avec Ubuntu 10.04 et LO 3.4.3 et CmathOOo et CmathOOocas</p> [Résolu] Plantage du système Ubuntu 10.04 à l'installation. 2011-10-27T00:28:15Z https://cmath.xyz/spip.php?article129#comment1502 2011-10-27T00:28:15Z <p>Bonjour,</p> <p>J'ai trouvé cet information sur le site Ubuntu en cherchant "LibreOffice" :</p> <p>"Blocage sur le 'splash screen'</p> <p>Version 3.3 depuis les paquets fournis sur le site.</p> <p>Lors de la tentative de lecture d'un fichier sur NFS, le splash screen de LibreOffice se lance et tout freeze. Il faut tuer le processus 'soffice.bin' (comme pour OOo).</p> <p>Il suffit d'ouvrir le fichier <strong>/opt/libreoffice/program/soffice</strong> et de commenter la ligne suivante :</p> <p># export SAL_ENABLE_FILE_LOCKING "</p> <p>Source : <a href="http://fr.libreoffice.org/home/lisezmoi/" class="spip_url spip_out auto" rel="nofollow external">http://fr.libreoffice.org/home/lisezmoi/</a> section Verrouillage de fichier</p> <p>Attention. /opt/libreoffice/program/soffice souvent n'existe pas il faut remplacer libreoffice par libreoffice3.4 ou ... le mieux est de rentrer dans /opt et de faire un "ls" pour connaître le nom du dossier.</p> <p>Ca marche sous LibreOffice 3.4.0 et Ubuntu 10.04</p> <p>Si j'ai le temps, je vais installer LO 3.4.3 et tester.</p> <p>Remarque. LO plantait aussi quand on installait certaines extensions.</p> <p>Il serait bien de mettre une info sur la doc du site pour signaler ce bogue aux utilisteurs de LO.</p> <p>Merci</p> <p>TV</p> Plantage du système Ubuntu 10.04 à l'installation. 2011-10-24T01:10:55Z https://cmath.xyz/spip.php?article129#comment1499 2011-10-24T01:10:55Z <p>Bonjour,</p> <p>En premier, merci pour ces excellents programmes.</p> <p>Je suis sous Ubuntu 10.04 LTS. Avec LibreOffice (LO) 3.3 pas de problème d'installation par contre un gros bogue. LO se ferme dès qu'on efface une formule. J'ai installé LO 3.4 et là LO me dit que CmathOooCas n'est pas installé alors qu'il est dans les extensions. Je fais une nouvelle installation de CmathOooCas et là plantage de LO et impossible d'arrêter le programme ce qui est très rare sous Linux. Tout reste figé. J'ai fait plusieurs tentatives. Je suis même arrivé à planter Ubuntu complètement.</p> <p>Pas de problème sous XP. C'est vraiment rageant.</p> <p>TV Membre de l'APRIL.</p> <p>PS. Je viens de m'appercevoir que j'ai LO 3.4.0 sur XP et LO 3.4.3 sur Ubuntu. Je n'ai pas envie de recommencer maintenant mais je vais tester dès que j'aurai le temps avec LO 3.4.0 sous U 10.4</p> [Résolu] Erreur avec CmathOOoCAS.uno.so 2011-09-04T08:19:27Z https://cmath.xyz/spip.php?article129#comment1472 2011-09-04T08:19:27Z <p>bonjour,<br class="manualbr" />merci pour cette info précieuse.<br class="manualbr" />Je mets à jour ma page de téléchargement.</p> [Résolu] Erreur avec CmathOOoCAS.uno.so 2011-09-01T23:29:08Z https://cmath.xyz/spip.php?article129#comment1471 2011-09-01T23:29:08Z <p>Ah ça y est ! En fouillant sur la toile j'ai trouvé une réponse pour la dernière librairie récalcitrante, à cette adresse : <a href="http://www.oooforum.org/forum/viewtopic.phtml?t=76915" class="spip_url spip_out auto" rel="nofollow external">http://www.oooforum.org/forum/viewtopic.phtml?t=76915</a></p> <p>J'ai donc installé libstlport4.6-dev et là c'est passé !!</p> <p>Génial !!!<br class="autobr" /> Un grand merci pour l'aide rapide et efficace, et un énorme bravo pour le magnifique travail accompli !</p> Erreur avec CmathOOoCAS.uno.so 2011-09-01T23:18:46Z https://cmath.xyz/spip.php?article129#comment1470 2011-09-01T23:18:46Z <p>Apres installation de la librairie que tu m'as donnée, il reste quand même libstlport_gcc en NOT FOUND... et malheureusement l'extension ne s'installe toujours pas !</p> Erreur avec CmathOOoCAS.uno.so 2011-09-01T19:16:44Z https://cmath.xyz/spip.php?article129#comment1469 2011-09-01T19:16:44Z <p>C'est donc normal que l'extension ne s'installe pas.<br class="manualbr" />tant qu'il reste certains "not found" ça ne passera pas (certaines librairies sont fournies par OOo, il est donc normal d'avoir trois "not found". libstlport_gcc en fait partie, donc on oublie celle là).<br class="manualbr" />Pour les gsl, je pense qu'en installant le paquet libgsl0ldbl, les "not found" devraient disparaitre.<br class="manualbr" />Retente alors une install de CmathOOoCAS</p> Erreur avec CmathOOoCAS.uno.so 2011-09-01T14:21:34Z https://cmath.xyz/spip.php?article129#comment1468 2011-09-01T14:21:34Z <p><strong> cdeval a écrit : </strong></p> <blockquote class="spip"> <p> avez-vous tenté cette manip : <a href="http://cdeval.free.fr/spip.php?page=voirsujet&id_forum=1209" class="spip_url spip_out auto" rel="nofollow external">http://cdeval.free.fr/spip.php?page=voirsujet&id_forum=1209</a> ?</p> </blockquote> <p>Je viens de tester :</p> <p>Dans le dossier Linux_X86 les résultats "not found" pour 3 librairies :<br class="autobr" /> libstlport_gcc.so <br class="autobr" /> libgsl.so.0<br class="autobr" /> libgslcblas.so.0</p> <p>Mais impossible de les installer, aucun nom ne correspond dans la liste de KPackageKit</p> <p>Sinon dans le dossier Linux_X86_64 ( qui n'est pas incriminé, mais j'ai voulu vérifier quand même !) la commande ldd renvoie le message : " n'est pas un exécutable dynamique"</p> Erreur avec CmathOOoCAS.uno.so 2011-09-01T13:20:57Z https://cmath.xyz/spip.php?article129#comment1466 2011-09-01T13:20:57Z <p>J'ai installé la version 32bits de kubuntu natty... ( bien que le processeur de ma machine soit un 64bits... est ce là le problème ? )</p>